Pull changes
POST /v1/sandbox/{sandboxID}/git/pull
POST
/v1/sandbox/{sandboxID}/git/pull
Pull changes from a remote repository.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” sandboxID
required
string
Unique sandbox identifier.
Request Body required
Section titled “Request Body required ”object
path
required
Path to the git repository.
string
remote
Remote name (defaults to origin).
string
branch
Branch name.
string
set_upstream
Set upstream tracking reference (push only).
boolean
rebase
Rebase instead of merge (pull only).
boolean
username
Username for authentication.
string
password
Password or token for authentication.
string
Responses
Section titled “ Responses ”Pull result.
object
output
required
Command output text.
string
exit_code
required
Exit code of the git command.
integer format: int32
Bad request – validation error.
object
message
required
Summary message, e.g. “Invalid request”.
string
errors
required
Array<object>
object
field
required
JSON field name that failed validation (e.g. “path”, “command”).
string
error
required
Human-readable description of the validation failure.
string
Unauthorized – invalid or missing API key.
object
message
required
Human-readable error message.
string